/*
	File:		CyberService.r

	Contains:	xxx put contents here xxx

	Written by:	the cyberdogs

	Copyright:	 1994 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):

		 <5>	 3/14/96	mmn		add comments
		 <2>	10/20/95	mc		Synch to OpenDoc 1.0F13e
		 <1>	12/14/94	mc		first checked in

	To Do:
*/

type 'srvc' 
	{
	integer;				// resource id of 'STR#' resource for this service						(required for CyberService)
	integer;				// resource id of icon family for this service  						(required for SimpleCyberService)
	integer;				// "STR#' rsrc for this services menu item names (0 if not supported)	(required for SimpleCyberService)
	};
	
/*
STR# resource must contain the following:
	
	Index 1: Class Name of CyberService subclass						(required for CyberService)
	Index 2: Name as it appears in service list							(required for CyberService)
	Index 3: URL Scheme													(required for SimpleCyberService)
	Index 4: Connection dialog part kind  (empty str if not supported)	(required for SimpleCyberService)
	Index 5: Preferences dialog part kind (empty str if not supported)	(required for SimpleCyberService)
	Index 6: Class Name of CyberItem subclass to manufacture			(required for SimpleCyberService)
*/
	


		