/*-------------------------------------------------------------------------
	File:		CyberdogAETE.r

	Contains:	scripting terminology for Cyberdog

	Written by:	the cyberdogs

	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.

	Change History (most recent first):


	To Do:
-------------------------------------------------------------------------*/

#ifndef	CyberdogAETE_r
#define CyberdogAETE_r

//-------------------------------------------------------------------------
//	includes

#include "Types.r"
#include "AEUserTermTypes.r"

//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
//	types

//-------------------------------------------------------------------------

//-------------------------------------------------------------------------
//	Object

resource 'aete' (0) {
	0x1,
	0x0,
	english,
	roman,
	{	/* array Suites: 1 elements */
		/* [1] */
		"Standard URL suite",
		"Mac URL standard, supported by many apps"
		"\n\n\n",
		'GURL',
		1,
		1,
		{	/* array Events: 1 elements */
			/* [1] */
			"get URL",
			"Loads the URL",
			'GURL',
			'GURL',
			noReply,
			"",
			replyOptional,
			singleItem,
			notEnumerated,
			notTightBindingFunction,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			verbEvent,
			reserved,
			reserved,
			reserved,
			'TEXT',
			"the URL",
			directParamRequired,
			singleItem,
			notEnumerated,
			doesntChangeState,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			reserved,
			{	/* array OtherParams: 0 elements */
			}
		},
		{	/* array Classes: 0 elements */
		},
		{	/* array ComparisonOps: 0 elements */
		},
		{	/* array Enumerations: 0 elements */
		}
	}
};

//-------------------------------------------------------------------------

#endif
